CC = g++
CCFLAGS = -g

all: bnfc parser

clean:
	make -C bnfc -f Makefile clean
	rm -f *.o parser

parser: ConnectSixPositionParser.o ConnectSixParser.o
	${CC} ${CCFLAGS} *.o bnfc/*.o -o parser

bnfc:
	make -C bnfc -f Makefile


ConnectSixParser.o: bnfc/Absyn.o bnfc/Lexer.o bnfc/Parser.o bnfc/Printer.o bnfc/ConnectSixPositionVisitor.o
	${CC} ${CCFLAGS} -c parser.cc -o ConnectSixParser.o

ConnectSixPositionParser.o: ConnectSixPositionParser.h ConnectSixPositionParser.cc
	${CC} ${CCFLAGS} -c ConnectSixPositionParser.cc
        
